<?php 

include "config.php";

$request = 0;

if(isset($_POST['request'])){
	$request = $_POST['request'];
}

// Fetch state list by countryid
if($request == 1){
	$countryid = $_POST['countryid'];

	$stmt = $conn->prepare("SELECT * FROM states WHERE countryname=:countryname ORDER BY stateame");
	$stmt->bindValue(':countryname', (int)$countryid, PDO::PARAM_INT);

	$stmt->execute();
	$statesList = $stmt->fetchAll();

	$response = array();
	foreach($statesList as $state){
		$response[] = array(
				"id" => $state['id'],
				"stateame" => $state['stateame']
			);
	}

	echo json_encode($response);
	exit;
}

// Fetch city list by stateid
if($request == 2){
	$stateid = $_POST['stateid'];

	$stmt = $conn->prepare("SELECT * FROM cities WHERE statename=:statename ORDER BY cityname");
	$stmt->bindValue(':statename', (int)$stateid, PDO::PARAM_INT);

	$stmt->execute();
	$statesList = $stmt->fetchAll();

	$response = array();
	foreach($statesList as $state){
		$response[] = array(
				"id" => $state['id'],
				"cityname" => $state['cityname']
			);
	}

	echo json_encode($response);
	exit;
}